Dashboard

Return information required to render the Octopus dashboard

GET /api/{spaceId}/dashboard

Also reachable at /api/dashboard, /api/spaces/{spaceIdentifier}/dashboard.

Path Parameters

  • spaceId string (required)

Query Parameters

  • highestLatestVersionPerProjectAndEnvironment boolean
  • projectId string
  • releaseId string
  • selectedTags array of string
  • selectedTenants array of string
  • showAll boolean

Response

200 — The requested Dashboard

  • Environments array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsFiltered boolean
  • Items array of object
    • ChannelId string
    • CompletedTime string
      Format date-time.
    • Created string
      Format date-time.
    • DeploymentId string
    • Duration string
    • EnvironmentId string
    • ErrorMessage string
    • HasPendingInterruptions boolean
    • HasPendingPreconditions boolean
    • HasWarningsOrErrors boolean
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsCompleted boolean
    • IsCurrent boolean
    • IsPrevious boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PendingInterruptionTypes array of enum
      Allowed values: ManualIntervention, GuidedFailure, PullRequestCompletion, ArgoCDApplicationSync, KubernetesResourceVerification.
    • PendingPreconditionTypes array of string
    • ProjectId string
    • QueueTime string
      Format date-time.
    • ReleaseId string
    • ReleaseVersion string
    • StartTime string
      Format date-time.
    • State enum
      Allowed values: Queued, Executing, Failed, Canceled, TimedOut, Success, Cancelling.
    • TaskId string
    • TenantId string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectGroups array of object
    • EnvironmentIds array of string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
  • ProjectLimit integer
  • Projects array of object
    • CanPerformUntenantedDeployment boolean
    • EnvironmentIds array of string
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • ProjectGroupId string
    • Slug string
    • TenantedDeploymentMode enum
      Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • Tenants array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • ProjectEnvironments object
    • TenantTags array of string

Example Response

JSON
{
  "Environments": [
    {
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "Id": "string",
  "IsFiltered": true,
  "Items": [
    {
      "ChannelId": "string",
      "CompletedTime": "2020-01-01T00:00:00.000Z",
      "Created": "2020-01-01T00:00:00.000Z",
      "DeploymentId": "string",
      "Duration": "string",
      "EnvironmentId": "string",
      "ErrorMessage": "string",
      "HasPendingInterruptions": true,
      "HasPendingPreconditions": true,
      "HasWarningsOrErrors": true,
      "Id": "string",
      "IsCompleted": true,
      "IsCurrent": true,
      "IsPrevious": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "PendingInterruptionTypes": [
        "ManualIntervention"
      ],
      "PendingPreconditionTypes": [
        "string"
      ],
      "ProjectId": "string",
      "QueueTime": "2020-01-01T00:00:00.000Z",
      "ReleaseId": "string",
      "ReleaseVersion": "string",
      "StartTime": "2020-01-01T00:00:00.000Z",
      "State": "Queued",
      "TaskId": "string",
      "TenantId": "string"
    }
  ],
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectGroups": [
    {
      "EnvironmentIds": [
        "string"
      ],
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "ProjectLimit": 0,
  "Projects": [
    {
      "CanPerformUntenantedDeployment": true,
      "EnvironmentIds": [
        "string"
      ],
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectGroupId": "string",
      "Slug": "string",
      "TenantedDeploymentMode": "Untenanted"
    }
  ],
  "Tenants": [
    {
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectEnvironments": {
        "additionalProp1": [
          "string"
        ],
        "additionalProp2": [
          "string"
        ],
        "additionalProp3": [
          "string"
        ]
      },
      "TenantTags": [
        "string"
      ]
    }
  ]
}

Return the information required to render the dynamic dashboard. Deprecated

GET /api/{spaceId}/dashboard/dynamic

Also reachable at /api/dashboard/dynamic, /api/spaces/{spaceIdentifier}/dashboard/dynamic.

Path Parameters

  • spaceId string (required)

Query Parameters

  • environments array of string
  • includePrevious boolean
  • projects array of string

Response

200 — The requested Dynamic Dashboared

  • Environments array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsFiltered boolean
  • Items array of object
    • ChannelId string
    • CompletedTime string
      Format date-time.
    • Created string
      Format date-time.
    • DeploymentId string
    • Duration string
    • EnvironmentId string
    • ErrorMessage string
    • HasPendingInterruptions boolean
    • HasPendingPreconditions boolean
    • HasWarningsOrErrors boolean
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsCompleted boolean
    • IsCurrent boolean
    • IsPrevious boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PendingInterruptionTypes array of enum
      Allowed values: ManualIntervention, GuidedFailure, PullRequestCompletion, ArgoCDApplicationSync, KubernetesResourceVerification.
    • PendingPreconditionTypes array of string
    • ProjectId string
    • QueueTime string
      Format date-time.
    • ReleaseId string
    • ReleaseVersion string
    • StartTime string
      Format date-time.
    • State enum
      Allowed values: Queued, Executing, Failed, Canceled, TimedOut, Success, Cancelling.
    • TaskId string
    • TenantId string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectGroups array of object
    • EnvironmentIds array of string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
  • ProjectLimit integer
  • Projects array of object
    • CanPerformUntenantedDeployment boolean
    • EnvironmentIds array of string
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • ProjectGroupId string
    • Slug string
    • TenantedDeploymentMode enum
      Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • Tenants array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • ProjectEnvironments object
    • TenantTags array of string

Example Response

JSON
{
  "Environments": [
    {
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "Id": "string",
  "IsFiltered": true,
  "Items": [
    {
      "ChannelId": "string",
      "CompletedTime": "2020-01-01T00:00:00.000Z",
      "Created": "2020-01-01T00:00:00.000Z",
      "DeploymentId": "string",
      "Duration": "string",
      "EnvironmentId": "string",
      "ErrorMessage": "string",
      "HasPendingInterruptions": true,
      "HasPendingPreconditions": true,
      "HasWarningsOrErrors": true,
      "Id": "string",
      "IsCompleted": true,
      "IsCurrent": true,
      "IsPrevious": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "PendingInterruptionTypes": [
        "ManualIntervention"
      ],
      "PendingPreconditionTypes": [
        "string"
      ],
      "ProjectId": "string",
      "QueueTime": "2020-01-01T00:00:00.000Z",
      "ReleaseId": "string",
      "ReleaseVersion": "string",
      "StartTime": "2020-01-01T00:00:00.000Z",
      "State": "Queued",
      "TaskId": "string",
      "TenantId": "string"
    }
  ],
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectGroups": [
    {
      "EnvironmentIds": [
        "string"
      ],
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "ProjectLimit": 0,
  "Projects": [
    {
      "CanPerformUntenantedDeployment": true,
      "EnvironmentIds": [
        "string"
      ],
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectGroupId": "string",
      "Slug": "string",
      "TenantedDeploymentMode": "Untenanted"
    }
  ],
  "Tenants": [
    {
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectEnvironments": {
        "additionalProp1": [
          "string"
        ],
        "additionalProp2": [
          "string"
        ],
        "additionalProp3": [
          "string"
        ]
      },
      "TenantTags": [
        "string"
      ]
    }
  ]
}